# Uses of Interface
org.eclipse.microprofile.config.spi.ConfigSource

Packages that use ConfigSource
Package
Description
org.eclipse.microprofile.config
Configuration for Java MicroProfile
org.eclipse.microprofile.config.spi
This package contains classes which are used to implement the configuration API, and to extend the standard configuration functionality in a portable way.

## Uses of ConfigSource in org.eclipse.microprofile.config

Methods in org.eclipse.microprofile.config that return types with arguments of type ConfigSource
Modifier and Type
Method
Description
`Iterable<ConfigSource>`
Config.`getConfigSources()`
Return all of the currently registered configuration sources for this configuration.

## Uses of ConfigSource in org.eclipse.microprofile.config.spi

Methods in org.eclipse.microprofile.config.spi that return types with arguments of type ConfigSource
Modifier and Type
Method
Description
`Iterable<ConfigSource>`
ConfigSourceProvider.`getConfigSources(ClassLoader forClassLoader)`
Return the `ConfigSource` instances that are provided by this provider.
Methods in org.eclipse.microprofile.config.spi with parameters of type ConfigSource
Modifier and Type
Method
Description
`ConfigBuilder`
ConfigBuilder.`withSources(ConfigSource... sources)`
Add the specified `ConfigSource` instances to the configuration being built.